#include <bits/stdc++.h>
# define endl            '\n'
# define clr(x,a)        memset(x,a,sizeof(x))
# define vi              vector<int>
# define all(a)          a.begin(), a.end()
# define deb(x)          cout<<#x<<"=="<<x<<endl;
# define pb              push_back
# define sc              scanf
# define pr              printf
# define tc              int t; cin>>t; while(t--)
# define rev(s)          reverse(s.begin(),s.end())
# define linija          cout<<"___________\n";
using namespace std;
typedef long long ll;
const int mxN=200005, mxM=200005, LOG=25, inf=1e8;
const int mod=998244353;
template<typename T> T nzd(T a, T b){if(b==0) return a;else return nzd(b, a%b);}
template<typename T> T nzs(T a, T b){return(a*(b/nzd(a,b)));}
template<typename T> T stepenuj(T e, T n){T x=1,p=e;while(n){if(n&1)x=(x*p)%mod;p=(p*p)%mod;n>>=1;}return x;}
template<typename T> inline T na2(T x){return x*x;}
int n, q, a[mxN], ps[mxN], l, r;

int main(){
   cin >> n;
   for(int i = 1; i <= n; i++){
      sc("%d", &a[i]);
      ps[i] = ps[i-1];
      if(a[i] >= a[i-1]) ps[i]++;
   }
   cin >> q;
   for(int i = 1; i <= q; i++){
      sc("%d %d", &l, &r);
      if(ps[r] - ps[l] >= (r-l)) cout << "DA\n";
      else cout << "NE\n";
   }

	return 0;
}